	.section	.text
	.global	memset
	.global	__aeabi_memset
	.type	memset, @function
memset:
__aeabi_memset:
	pushl	%ebp
	movl	%esp, %ebp
	movl	16(%ebp), %ecx		# length
	movb	12(%ebp), %al		# byte
	movl	8(%ebp), %edi		# destination
	cld				# Clear DF for up-memory write
	rep	stosb			# Blast the byte into the buffer
	popl	%ebp
	ret
